Ruby master - Bug #16903

Compilation error on x86_64-cygwin
05/20/2020 01:29 PM - fd0 (Daisuke Fujimura)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 2.8.0dev (2020-05-20T01:52:32Z Backport: 2.5: UNKNOWN, 2.6: UNKNOWN, 2.7:
master 2480ef904c) [x86_64-cygwin] UNKNOWN

Description
Compilation error on x86_64-cygwin.

compiling io.c
io.c: In function 'rb_cloexec_pipe':
io0.c:412:9: error: 'ret' undeclared (first use in this function)
412 | if (ret == 0 && descriptors[l] == -1) {
| A~
i0.c:412:9: note: each undeclared identifier is reported only once for each function it appears in
io.c: At top level:
ccl: warning: unrecognized command line option '-Wno-self-assign'
ccl: warning: unrecognized command line option '-Wno-parentheses-equality'
ccl: warning: unrecognized command line option '-Wno-constant-logical-operand'
make: *** [Makefile:425: io.o] Error 1

Associated revisions

Revision 6f167da6 - 05/21/2020 01:47 AM - nobu (Nobuyoshi Nakada)
Fixed a variable name [Bug #16903]

Fix up of 0e3b0fcdba7

From: fd0 (Daisuke Fujimura)

History

#1 - 05/21/2020 02:17 AM - nobu (Nobuyoshi Nakada)
- Status changed from Open to Closed

Applied in changeset git|6f167da65b799435f94af3c5d39a80968e284f44.

Fixed a variable name [Bug #16903]
Fix up of 0e3b0fcdba7

From: fd0 (Daisuke Fujimura)

Files

cygwin.patch 364 Bytes 05/20/2020 fd0 (Daisuke Fujimura)
